########################################################################
# File:      install.sh
# Creator:   Matt Bogosian <mbogosian@usa.net>
# Copyright: (c)1997, Matt Bogosian. All rights reserved.
# Description: Shell script to install the dev_server and its
#     components.
# ID:        $Id: install.sh,v 1.2 1998/07/08 06:51:00 mattb Exp $
# Conventions:
#     Constants - all uppercase letters with words separated by
#         underscores.
#         (E.G., MY_DEFINE=16).
#     Variables - begin with a lowercase letter followed by lowercase
#         words separated by underscores.
#         (E.G., my_local=16).
#     Functions - begin with an lowercase letter followed by lowercase
#         words separated by uppercase letters.
#         (E.G., function myFunction).
########################################################################

#!/bin/sh

# Constants
NUM_ARGS='0'
NO_ERR='0'
ERR_BAD_CMD='-1'

prog_name="${0##*/}"

# Check command-line arguments
if [ "${#}" -ne "${NUM_ARGS}" ] ; then
	echo "Usage: ${prog_name}"
	exit "${ERR_BAD_CMD}"
fi

echo "cp -dip ./dev_server ${HOME}/config/lib/dev_server"
cp -dip ./dev_server "${HOME}/config/lib/dev_server"
echo "cp -dip ./dev_server.xMAP ${HOME}/config/lib/dev_server.xMAP"
cp -dip ./dev_server.xMAP "${HOME}/config/lib/dev_server.xMAP"
echo "cp -dip ./quit_dvsrvr /boot/apps/quit_dvsrvr"
cp -dip ./quit_dvsrvr /boot/apps/quit_dvsrvr
cd thruput_example
make install

if ! grep dev_server "${HOME}/config/boot/UserBootscript" &>/dev/null ; then
	echo "echo ${HOME}/config/lib/dev_server & >> ${HOME}/config/boot/UserBootscript"
	echo "${HOME}/config/lib/dev_server &" >> "${HOME}/config/boot/UserBootscript"
fi

exit "${NO_ERR}"
